DK API 文档

tiktok 05

15 个接口

GETfetch user post videos v2

GET https://dkai.store/api/v1/tiktok/app/v3/fetch_user_post_videos_v2

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/tiktok/app/v3/fetch_user_post_videos_v2'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user post videos v3

GET https://dkai.store/api/v1/tiktok/app/v3/fetch_user_post_videos_v3

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/tiktok/app/v3/fetch_user_post_videos_v3'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user repost videos

GET https://dkai.store/api/v1/tiktok/app/v3/fetch_user_repost_videos

1 积分 / 成功调用

参数位置要求说明
user_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/tiktok/app/v3/fetch_user_repost_videos?user_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch user search result

GET https://dkai.store/api/v1/tiktok/app/v3/fetch_user_search_result

1 积分 / 成功调用

参数位置要求说明
keywordquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/tiktok/app/v3/fetch_user_search_result?keyword=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch video comment replies

GET https://dkai.store/api/v1/tiktok/app/v3/fetch_video_comment_replies

1 积分 / 成功调用

参数位置要求说明
item_idquery必填
comment_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/tiktok/app/v3/fetch_video_comment_replies?item_id=VALUE&comment_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch video comments

GET https://dkai.store/api/v1/tiktok/app/v3/fetch_video_comments

1 积分 / 成功调用

参数位置要求说明
aweme_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/tiktok/app/v3/fetch_video_comments?aweme_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch video search result

GET https://dkai.store/api/v1/tiktok/app/v3/fetch_video_search_result

1 积分 / 成功调用

参数位置要求说明
keywordquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/tiktok/app/v3/fetch_video_search_result?keyword=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch webcast user info

GET https://dkai.store/api/v1/tiktok/app/v3/fetch_webcast_user_info

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/tiktok/app/v3/fetch_webcast_user_info'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget user id and sec user id by username

GET https://dkai.store/api/v1/tiktok/app/v3/get_user_id_and_sec_user_id_by_username

1 积分 / 成功调用

参数位置要求说明
usernamequery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/tiktok/app/v3/get_user_id_and_sec_user_id_by_username?username=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GEThandler user profile

GET https://dkai.store/api/v1/tiktok/app/v3/handler_user_profile

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/tiktok/app/v3/handler_user_profile'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETsearch follower list

GET https://dkai.store/api/v1/tiktok/app/v3/search_follower_list

1 积分 / 成功调用

参数位置要求说明
user_idquery必填
keywordquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/tiktok/app/v3/search_follower_list?user_id=VALUE&keyword=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETsearch following list

GET https://dkai.store/api/v1/tiktok/app/v3/search_following_list

1 积分 / 成功调用

参数位置要求说明
user_idquery必填
keywordquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/tiktok/app/v3/search_following_list?user_id=VALUE&keyword=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch hot selling products list

GET https://dkai.store/api/v1/tiktok/shop/web/fetch_hot_selling_products_list

1 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/tiktok/shop/web/fetch_hot_selling_products_list'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch product detail

GET https://dkai.store/api/v1/tiktok/shop/web/fetch_product_detail

1 积分 / 成功调用

参数位置要求说明
product_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/tiktok/shop/web/fetch_product_detail?product_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETfetch product detail v2

GET https://dkai.store/api/v1/tiktok/shop/web/fetch_product_detail_v2

1 积分 / 成功调用

参数位置要求说明
product_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/tiktok/shop/web/fetch_product_detail_v2?product_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。